Subject: 23.0.60; make bootstrap broken in CVS head

From: Clifford Wulfman <[email-masked]>
Date: Sat, 30 Aug 2008 18:14:52 -0400

With a fresh check-out of the CVS repository:

./configure --with-ns --disable-ns-self-contained
make bootstrap

[...]

gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/cliff/src/emacs/src - 
Dtemacs   -I/opt/local/include/dbus-1.0 -I/opt/local/lib/dbus-1.0/ 
include -g -O2 -Wno-pointer-sign  nsterm.m
nsterm.m: In function =2018ns_font_to_xlfd=2019:
nsterm.m:6261: warning: =2018widthOfString:=2019 is deprecated  
(declared at /System/Library/Frameworks/AppKit.framework/Headers/ 
NSFont.h:216)
gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/cliff/src/emacs/src - 
Dtemacs   -I/opt/local/include/dbus-1.0 -I/opt/local/lib/dbus-1.0/ 
include -g -O2 -Wno-pointer-sign  nsfns.m
gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/cliff/src/emacs/src - 
Dtemacs   -I/opt/local/include/dbus-1.0 -I/opt/local/lib/dbus-1.0/ 
include -g -O2 -Wno-pointer-sign  nsmenu.m
nsmenu.m: In function =2018-[EmacsTooltip setText:]=2019:
nsmenu.m:1423: warning: =2018widthOfString:=2019 is deprecated  
(declared at /System/Library/Frameworks/AppKit.framework/Headers/ 
NSFont.h:216)
gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/cliff/src/emacs/src - 
Dtemacs   -I/opt/local/include/dbus-1.0 -I/opt/local/lib/dbus-1.0/ 
include -g -O2 -Wno-pointer-sign  nsselect.m
nsselect.m: In function =2018ns_string_from_pasteboard=2019:
nsselect.m:344: warning: =2018cString=2019 is deprecated (declared at / 
System/Library/Frameworks/Foundation.framework/Headers/NSString.h:345)
nsselect.m:349: warning: =2018lossyCString=2019 is deprecated  
(declared at /System/Library/Frameworks/Foundation.framework/Headers/ 
NSString.h:346)
gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/cliff/src/emacs/src - 
Dtemacs   -I/opt/local/include/dbus-1.0 -I/opt/local/lib/dbus-1.0/ 
include -g -O2 -Wno-pointer-sign  nsimage.m
gcc -c  -Demacs -DHAVE_CONFIG_H  -I. -I/Users/cliff/src/emacs/src - 
Dtemacs   -I/opt/local/include/dbus-1.0 -I/opt/local/lib/dbus-1.0/ 
include -g -O2 -Wno-pointer-sign  nsfont.m
nsfont.m: In function =2018nsfont_char_width=2019:
nsfont.m:481: warning: =2018widthOfString:=2019 is deprecated  
(declared at /System/Library/Frameworks/AppKit.framework/Headers/ 
NSFont.h:216)
nsfont.m: In function =2018nsfont_open=2019:
nsfont.m:726: warning: =2018widthOfString:=2019 is deprecated  
(declared at /System/Library/Frameworks/AppKit.framework/Headers/ 
NSFont.h:216)
nsfont.m: In function =2018nsfont_draw=2019:
nsfont.m:907: error: =2018struct glyph_string=2019 has no member named  
=2018gidx=2019
nsfont.m:908: error: =2018struct glyph_string=2019 has no member named  
=2018gidx=2019
nsfont.m:914: error: =2018struct glyph_string=2019 has no member named  
=2018gidx=2019
nsfont.m:1097: error: =2018struct glyph_string=2019 has no member  
named =2018gidx=2019
nsfont.m:1103: error: =2018struct glyph_string=2019 has no member  
named =2018gidx=2019
make[2]: *** [nsfont.o] Error 1
make[1]: *** [src] Error 2
make: *** [bootstrap] Error 2

In GNU Emacs 23.0.60.1 (i386-apple-darwin9.4.0, *Step 9.0)
  of 2008-08-28 on hagen.Princeton.EDU
Windowing system distributor `Apple', version 49.46.48
configured using `configure  '--with-ns' '--disable-ns-self-contained''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: nil
   value of $XMODIFIERS: nil
   locale-coding-system: nil
   default-enable-multibyte-characters: t

Major mode: Xquery

Minor modes in effect:
   diff-auto-refine-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
C-x C-d <backspace> <backspace> / o p t / l <tab> p
r o j <tab> d i g l i b - e <tab> / w e <tab> <backspace>
<backspace> s r <tab> w e <tab> <return> C-x o C-x
1 C-n C-n C-n C-n C-n C-n C-n C-n C-e C-b C-b <return>
C-x k <return> C-x d <backspace> <backspace> / o p
t / l <tab> p r o j <tab> d i g <tab> - <tab> e <tab>
/ s r <tab> w e <tab> <return> <escape> > C-p <return>
C-n C-n C-n C-n C-n <return> <help-echo> <down-mouse-1>
<mouse-1> C-a C-o C-k C-k C-k C-y C-y C-p C-p C-p C-p
C-k a 9 <backspace> <backspace> ( : C-e SPC : ) C-n
C-n C-a C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f
C-k <menu-bar> <help-menu> <send-emacs-bug-report>

Recent messages:
Loading `slime': old-style backquotes detected!
Loading /Users/cliff/elisp/org-setup.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
help-follow: No cross-reference here
Making completion list...
Mark set
Loading vc-svn...done
Mark set [2 times]
Auto-saving...done
Auto-saving...done